> For the complete documentation index, see [llms.txt](https://docs.industryapps.net/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.industryapps.net/onboarding-to-industryapps/onboard-application/publish-and-test/register-into-service-discovery.md).

# Register into Service Discovery

IndustryApps use Netflix Eureka as the service discovery system

## Option 1: Eureka Rest Operations

You can use Eureka REST operations as given here <https://github.com/Netflix/eureka/wiki/Eureka-REST-operations> in your app

Please go through "[Keep your application sync with application registry](/connect-to-the-platform.md)"

## Option 2: Pre-built side car

You can download a pre-built side car from below

{% file src="/files/JkkRRLZDrt0Qj3SIECEQ" %}

```
java -jar discoveryClientSideCar-1.0.0.jar --appCode=<<Application Code>> --statusPageUrl=https://484c-14-142-179-182.ngrok.io/ --hostname=484c-14-142-179-182.ngrok.io
```

appCode is your App Code as we noted previously

&#x20;statusPageUrl is your app’s landing page URL / URL for status check&#x20;

Hostname is your hostname running your app

Please refer below screenshots for executing sidecar

![](/files/nnw2GQhlAaSYfRU2vEE1)

After register using sidecar you will be getting  registration status as 204

![](/files/UaRjVWvWqJwceg4zFGDb)

After service registry IndustryApp platform can show new app inside Platform

You can check the status of your app using the following URL [https://servicediscovery.uat.industryapps.net/eureka/apps/\<your\_app\_code](https://servicediscovery.uat.industryapps.net/eureka/apps/<your_app_code)>

Check Status is "UP"

![](/files/725FKzhJsFqG2S4XwkS6)


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.industryapps.net/onboarding-to-industryapps/onboard-application/publish-and-test/register-into-service-discovery.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
